wnpa-sec-2022-09 · Multiple dissector infinite loops

Summary

Name: Multiple dissector infinite loops

Docid: wnpa-sec-2022-09

Date: December 7, 2022

Affected versions: 4.0.0 to 4.0.1, 3.6.0 to 3.6.9

Fixed versions: 4.0.2, 3.6.10

References:
CVE-2022-4345

Details

Description

The BPv6, OpenFlow, and Kafka protocol dissectors could go into an infinite loops.

Impact

It may be possible to make Wireshark consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 4.0.2, 3.6.10 or later.